import { InjectionToken } from '@angular/core';
export declare const NGX_EXPRESSIONS_CONFIG: InjectionToken<NgxExpressionsConfig>;
export interface INgxExpressionsConfig {
    /**
     * The base url for where to find the monaco library.  Defaults to use CDN
     * (https://cdnjs.cloudflare.com/ajax/libs/monaco-editor/0.23.0/) library.  However if you prefer you can host this locally.
     */
    monacoBaseUrl?: string;
    /**
     * The default configuration for the monaco editor control.  Can be overriden for each control using the options parameter.
     */
    monacoDefaultOptions?: any;
    /**
     * If you want to add some custom configuration to the monaco environment, this method is called once right after it becomes ready.
     */
    configure?: (monaco: any) => Promise<void> | void;
    /**
     * To assist debugging you can implement the log which will trigger for verbose logging.  Beware - there is a lot.  Use this at your
     * discretion.
     */
    log?: (message: string, params: any[]) => void;
}
export declare class NgxExpressionsConfig implements INgxExpressionsConfig {
    constructor(args?: INgxExpressionsConfig);
    monacoBaseUrl: string;
    monacoDefaultOptions: any;
    configure: (monaco: any) => Promise<void> | void;
    log: (message: string, params: any[]) => void;
}
